extends KinematicBody2D

const GRAVITY = 40
const WALK_SPEED = 90
const FIREBALL=preload("res://Fireball.tscn")

var velocity = Vector2()

func _physics_process(delta):
    #velocity.y += delta 
	
	if Input.is_action_just_pressed("ui_up"):
		velocity.y=-WALK_SPEED-GRAVITY
	if Input.is_action_just_pressed("ui_down"):
		velocity.y= WALK_SPEED-GRAVITY
	if Input.is_action_just_pressed("ui_accept"):
		var fireball= FIREBALL.instance()
		get_parent().add_child(fireball)
		fireball.position=$Position2D.global_position
	 if Input.is_action_pressed("ui_left"):
			velocity.x = WALK_SPEED 
	elif Input.is_action_pressed("ui_right"):
        velocity.x =  WALK_SPEED-GRAVITY
	else:
        velocity.x = 0
	move_and_slide(velocity, Vector2(0, -1))
