extends KinematicBody2D
const GRAVITY = 20
const WALK_SPEED = 150
const FIREBALL=preload("res://Fireball.tscn")
var direction=0
var velocity = Vector2()

func _ready():
	global.score=14
	

func dead():
		if global.vida_prota<=0:
			velocity=Vector2(0,0)
			$Timer.start()
		else:
			global.vida_prota=global.vida_prota-1
			$AnimatedSprite.play("dead")
func _physics_process(delta):
	if Input.is_action_pressed("ui_focus_prev"):
		direction=1
		$AnimatedSprite.play("walk")
		velocity.x =  -WALK_SPEED-GRAVITY
		$AnimatedSprite.flip_h=true
		if sign($Position2D.position.x)==-1:
			$Position2D.position.x *=-1
	elif Input.is_action_pressed("ui_focus_next"):
		direction=0
		$AnimatedSprite.flip_h=false
		velocity.x =  WALK_SPEED-GRAVITY
		if sign($Position2D.position.x)==1:
			$Position2D.position.x *=-1
	else:
		velocity.x =0 
	if Input.is_action_just_pressed("ui_cancel"):
		get_tree().quit()
	if Input.is_action_pressed("ui_page_up"):
		velocity.y=-WALK_SPEED-GRAVITY
		$AnimatedSprite.play("walk")
	if Input.is_action_pressed("ui_page_down"):
		velocity.y= WALK_SPEED-GRAVITY
		$AnimatedSprite.play("walk")
	if Input.is_action_just_pressed("ui_select"):
			var fireball= FIREBALL.instance()
			if sign($Position2D.position.x)==1:
				fireball.set_fireball_direcction(-1)
			else:
				fireball.set_fireball_direcction(1)
			get_parent().add_child(fireball)
			fireball.position=$Position2D.global_position
	move_and_slide(velocity, Vector2(+1,0))
	if get_slide_count() > 0:
		for i in range(get_slide_count()):
			if "enemigo" in get_slide_collision(i).collider.name:
				dead()
func _on_Timer_timeout():
	$AnimatedSprite.play("dead")
	get_tree().change_scene("gameover.tscn")
	queue_free()
